Skip to main content
POST
/
api
/
public
/
v1
/
plugins
/
v2
/
deploy
Deploy plugin with inline assets (V2)
curl --request POST \
  --url https://app.tagadapay.com/api/public/v1/plugins/v2/deploy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "manifest": {
    "name": "My Landing Page",
    "version": "1.0.0",
    "description": "A simple landing page",
    "category": "landing",
    "mode": "spa-mode",
    "pages": [
      {
        "id": "landing-main",
        "path": "/",
        "name": "Landing Page",
        "isDefault": true,
        "features": [
          {
            "type": "landing"
          }
        ]
      }
    ]
  },
  "storeId": "store_abc123",
  "inlineAssets": [
    {
      "path": "/index.html",
      "content": "PGh0bWw+PGJvZHk+SGVsbG8gV29ybGQ8L2JvZHk+PC9odG1sPg==",
      "contentType": "text/html"
    }
  ]
}
'
{
  "message": "<string>",
  "code": "<string>",
  "issues": [
    {
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your API key as: Bearer your-api-key

Body

application/json
manifest
object
required
storeId
string
required
Minimum string length: 1
inlineAssets
object[]
zipUrl
string<uri>
demoPreviews
object
sourceData
object
overwrite
boolean
default:false
autoInstantiate
object

Response

Successful response